DROP SEQUENCE()

NAME
DROP SEQUENCE - remove a sequence

SYNOPSIS

DROP SEQUENCE name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP SEQUENCE removes sequence number generators.

PARAMETERS

name
    The name (optionally schema-qualified) of a sequence.

CASCADE
    Automatically drop objects that depend on the sequence.

RESTRICT
    Refuse to drop the sequence if any objects depend on it. This is the default.

EXAMPLES

To remove the sequence serial:

DROP SEQUENCE serial;

COMPATIBILITY

DROP SEQUENCE conforms to the SQL standard, except that the standard only allows one sequence to be dropped per command.

SEE ALSO
CREATE SEQUENCE [create_sequence(7)]